<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Getting Started Service Web Content</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
<div th:replace="nav.html :: body"></div>
<div class="container">
    <h1 align="center">Make new account!</h1>
    <form action="#" th:action="@{create-new-user}" th:object="${userDTO}" method="post">
        <div class="form-group">
            <label for="UserName">User name :</label>
            <td><input type="text" class="form-control" id="UserName" th:field="${userDTO.login}"/></td>
            <td th:if="${#fields.hasErrors('login')}" th:errors="${userDTO.login}">email login</td>
        </div>
        <div class="form-group">
            <label for="Email">Email :</label>
            <td><input type="text" class="form-control" id="Email" th:field="${userDTO.email}"/></td>
            <td th:if="${#fields.hasErrors('email')}" th:errors="${userDTO.email}">email error</td>
        </div>
        <div class="form-group">
            <label for="Password1">Password :</label>
            <td><input type="password" class="form-control" id="Password1" th:field="${userDTO.password1}"/></td>
        </div>
        <div class="form-group">
            <label for="Password1">Repeat Password :</label>
            <td><input type="password" class="form-control" id="Password2" th:field="${userDTO.password2}"/></td>
            <td th:if="${#fields.hasErrors('*')}" th:errors="${userDTO}">password2 error</td>
        </div>
        <button type="submit" class="btn btn-primary">Create Account</button>
    </form>
</div>
</body>
</html>